/*
 * Class LINKABLE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1592 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1592 [] = {0xFF01,1551,1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1592 [] = {0xFF01,1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1592 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1592 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1592 [] = {0xFF01,1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1592 [] = {0xFF01,1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1592 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1592 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1592 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1592 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1592 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1592 [] = {1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1592 [] = {0xFF01,1591,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1592 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1592 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1592 [] = {1591,0xFFF8,1,0xFFFF};


static const struct desc_info desc_1592[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1592), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1592), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1592), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1592), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1592), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1592), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1592), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1592), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1592), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1592), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1592), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1592), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1592), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1592), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1592), 9503, 0},
	{EIF_GENERIC(NULL), 9504, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9505, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1592), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1592), 9594, 4},
	{EIF_GENERIC(NULL), 9595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9596, 0xFFFFFFFF},
};
void Init1592(void)
{
	IDSC(desc_1592, 0, 1591);
	IDSC(desc_1592 + 1, 1, 1591);
	IDSC(desc_1592 + 32, 975, 1591);
	IDSC(desc_1592 + 36, 345, 1591);
}


#ifdef __cplusplus
}
#endif
